<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Classes/SoundHandlers/HungerSoundHandler.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d8/d9b/_hunger_sound_handler_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">HungerSoundHandler.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d8/d9b/_hunger_sound_handler_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno"><a class="line" href="../../d4/d25/class_sound_handler_base.html">    1</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d8/d9b/_hunger_sound_handler_8c.html#df/d16/class_hunger_sound_handler_base">HungerSoundHandlerBase</a> <span class="keyword">extends</span> <a class="code hl_class" href="../../d4/d25/class_sound_handler_base.html">SoundHandlerBase</a></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>{</div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno"><a class="line" href="../../d4/d25/class_sound_handler_base.html#ac9d47dac48e0137c7b9db89d54ce4ade">    3</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d4/d25/class_sound_handler_base.html#ac9d47dac48e0137c7b9db89d54ce4ade">Init</a>()</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span>    {</div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span>        <a class="code hl_variable" href="../../db/de7/_bios_lobby_service_8c.html#a03c1365c67d85ae52a94894cb29844ea">m_Id</a> = <a class="code hl_enumeration" href="../../d2/d52/_player_sound_manager_8c.html#a0fd8354912d290f45ba638113305af58">eSoundHandlers</a>.HUNGER;</div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span>    }</div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span>    </div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span>}</div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span> </div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span><span class="comment">//---------------------------</span></div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span><span class="comment">// Client</span></div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span><span class="comment">//---------------------------</span></div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span><span class="keyword">class </span>HungerSoundHandlerClient <span class="keyword">extends</span> <a class="code hl_class" href="../../d8/d9b/_hunger_sound_handler_8c.html#df/d16/class_hunger_sound_handler_base">HungerSoundHandlerBase</a></div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>{</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno"><a class="line" href="../../d8/d9b/_hunger_sound_handler_8c.html#a48a9d91bcb3287026d9b94d3716bdeb6">   15</a></span>    <span class="keyword">const</span> <span class="keywordtype">float</span> <a class="code hl_variable" href="../../d8/d9b/_hunger_sound_handler_8c.html#a48a9d91bcb3287026d9b94d3716bdeb6">SOUND_INTERVALS_LIGHT_MIN</a> = 10;</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno"><a class="line" href="../../d8/d9b/_hunger_sound_handler_8c.html#a6101a1594bb9c644630a961ef3c39f00">   16</a></span>    <span class="keyword">const</span> <span class="keywordtype">float</span> <a class="code hl_variable" href="../../d8/d9b/_hunger_sound_handler_8c.html#a6101a1594bb9c644630a961ef3c39f00">SOUND_INTERVALS_LIGHT_MAX</a> = 30;</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno"><a class="line" href="../../d8/d9b/_hunger_sound_handler_8c.html#a374561fc62aaabf80a9528cfc1dac23e">   17</a></span>    <span class="keywordtype">float</span> <a class="code hl_variable" href="../../d8/d9b/_hunger_sound_handler_8c.html#a374561fc62aaabf80a9528cfc1dac23e">m_SoundTime</a>;</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno"><a class="line" href="../../d8/d9b/_hunger_sound_handler_8c.html#a8f1a290bb29bdacb7395ddad3867db0e">   18</a></span>    <a class="code hl_class" href="../../d9/d89/class_effect_sound.html">EffectSound</a> <a class="code hl_variable" href="../../d8/d9b/_hunger_sound_handler_8c.html#a8f1a290bb29bdacb7395ddad3867db0e">m_Sound</a>;</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>    </div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno"><a class="line" href="../../d9/d0e/group___widget_a_p_i.html#ga70ac517aa5d3b3af95f61a2d560d811f">   20</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/d0e/group___widget_a_p_i.html#ga70ac517aa5d3b3af95f61a2d560d811f">Update</a>()</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>    {</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>        <span class="keywordflow">if</span> ( <a class="code hl_variable" href="../../d6/d21/_hand___events_8c.html#a02917914db83b7759e19cb7450c92354">m_Player</a>.GetMixedSoundStates() &amp; <a class="code hl_enumeration" href="../../da/d9c/_e_mixed_sound_states_8c.html#a9e5aea2986b037404237ee76b0ae0a25">eMixedSoundStates</a>.HUNGRY )</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>        {</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>            <a class="code hl_function" href="../../d8/d9b/_hunger_sound_handler_8c.html#aad304592324988361cc11d6bc0bb13d8">ProcessSound</a>();</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>        }</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>    }</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>    </div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno"><a class="line" href="../../d8/d9b/_hunger_sound_handler_8c.html#aad304592324988361cc11d6bc0bb13d8">   28</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d8/d9b/_hunger_sound_handler_8c.html#aad304592324988361cc11d6bc0bb13d8">ProcessSound</a>()</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>    {</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>        <span class="keywordflow">if</span> ( <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().<a class="code hl_function" href="../../d5/d74/_notification_system_8c.html#a8a5888c845f10608a75d9bfd5009089e">GetTime</a>() &gt; <a class="code hl_variable" href="../../d8/d9b/_hunger_sound_handler_8c.html#a374561fc62aaabf80a9528cfc1dac23e">m_SoundTime</a>)</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>        {</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>            <span class="keywordtype">float</span> offset_time = <a class="code hl_class" href="../../d5/d98/group___math.html#d4/d34/class_math">Math</a>.<a class="code hl_function" href="../../d5/d98/group___math.html#ga3a1cf1e09030a73e70d718ee2862cac0">RandomFloatInclusive</a>(<a class="code hl_variable" href="../../d8/d9b/_hunger_sound_handler_8c.html#a48a9d91bcb3287026d9b94d3716bdeb6">SOUND_INTERVALS_LIGHT_MIN</a>, <a class="code hl_variable" href="../../d8/d9b/_hunger_sound_handler_8c.html#a6101a1594bb9c644630a961ef3c39f00">SOUND_INTERVALS_LIGHT_MAX</a>) * 1000;</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>            <a class="code hl_variable" href="../../d8/d9b/_hunger_sound_handler_8c.html#a374561fc62aaabf80a9528cfc1dac23e">m_SoundTime</a> = <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().<a class="code hl_function" href="../../d2/de6/class_c_game.html#aaef5e82614e886a86023cbdc7e85ca47">GetTime</a>() + offset_time;</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>            <a class="code hl_function" href="../../d8/d9b/_hunger_sound_handler_8c.html#a37a72bb98e9ec48f9c2e65feae17943d">PlaySound</a>();</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>        }</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>    }</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>    </div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno"><a class="line" href="../../d8/d9b/_hunger_sound_handler_8c.html#a37a72bb98e9ec48f9c2e65feae17943d">   38</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d8/d9b/_hunger_sound_handler_8c.html#a37a72bb98e9ec48f9c2e65feae17943d">PlaySound</a>()</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>    {</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>        <a class="code hl_variable" href="../../d8/d9b/_hunger_sound_handler_8c.html#a8f1a290bb29bdacb7395ddad3867db0e">m_Sound</a> = <a class="code hl_class" href="../../d2/d03/class_s_effect_manager.html">SEffectManager</a>.<a class="code hl_function" href="../../d2/d03/class_s_effect_manager.html#a62121261c750c6174099a4879ac2f781">PlaySoundOnObject</a>(<span class="stringliteral">&quot;hungry_uni_Voice_Char_SoundSet&quot;</span>, <a class="code hl_variable" href="../../d6/d21/_hand___events_8c.html#a02917914db83b7759e19cb7450c92354">m_Player</a>);</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>        </div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>        <span class="keywordflow">if</span>( <a class="code hl_variable" href="../../d8/d9b/_hunger_sound_handler_8c.html#a8f1a290bb29bdacb7395ddad3867db0e">m_Sound</a> )</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>        {</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>            <a class="code hl_variable" href="../../d8/d9b/_hunger_sound_handler_8c.html#a8f1a290bb29bdacb7395ddad3867db0e">m_Sound</a>.<a class="code hl_function" href="../../d9/d89/class_effect_sound.html#a2cc90aea49a8e5dfad08b37632ec21ee">SetAutodestroy</a>(<span class="keyword">true</span>);</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>        }</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>        <span class="keywordflow">else</span></div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>        {</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>            <a class="code hl_class" href="../../da/d7d/class_debug.html">Debug</a>.<a class="code hl_function" href="../../da/d7d/class_debug.html#a87dcfbb1acc79bc63ccc7af1476c913d">LogError</a>(<span class="stringliteral">&quot;Missing sounset&quot;</span>);</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>        }</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>    }</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>}</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span> </div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span> </div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span><span class="comment">//---------------------------</span></div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span><span class="comment">// Server</span></div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span><span class="comment">//---------------------------</span></div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno"><a class="line" href="../../d8/d9b/_hunger_sound_handler_8c.html">   57</a></span><span class="keyword">class </span>HungerSoundHandlerServer <span class="keyword">extends</span> <a class="code hl_class" href="../../d8/d9b/_hunger_sound_handler_8c.html#df/d16/class_hunger_sound_handler_base">HungerSoundHandlerBase</a></div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>{</div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>    </div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>}</div>
<div class="ttc" id="a_bios_lobby_service_8c_html_a03c1365c67d85ae52a94894cb29844ea"><div class="ttname"><a href="../../db/de7/_bios_lobby_service_8c.html#a03c1365c67d85ae52a94894cb29844ea">m_Id</a></div><div class="ttdeci">class GetServerModListResult m_Id</div><div class="ttdoc">GetServersResultRow the output structure of the GetServers operation that represents one game server.</div></div>
<div class="ttc" id="a_e_mixed_sound_states_8c_html_a9e5aea2986b037404237ee76b0ae0a25"><div class="ttname"><a href="../../da/d9c/_e_mixed_sound_states_8c.html#a9e5aea2986b037404237ee76b0ae0a25">eMixedSoundStates</a></div><div class="ttdeci">eMixedSoundStates</div><div class="ttdoc">bits</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d9c/_e_mixed_sound_states_8c_source.html#l00002">EMixedSoundStates.c:3</a></div></div>
<div class="ttc" id="a_hand___events_8c_html_a02917914db83b7759e19cb7450c92354"><div class="ttname"><a href="../../d6/d21/_hand___events_8c.html#a02917914db83b7759e19cb7450c92354">m_Player</a></div><div class="ttdeci">Man m_Player</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d21/_hand___events_8c_source.html#l00042">Hand_Events.c:42</a></div></div>
<div class="ttc" id="a_hunger_sound_handler_8c_html_a374561fc62aaabf80a9528cfc1dac23e"><div class="ttname"><a href="../../d8/d9b/_hunger_sound_handler_8c.html#a374561fc62aaabf80a9528cfc1dac23e">m_SoundTime</a></div><div class="ttdeci">float m_SoundTime</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d9b/_hunger_sound_handler_8c_source.html#l00017">HungerSoundHandler.c:17</a></div></div>
<div class="ttc" id="a_hunger_sound_handler_8c_html_a37a72bb98e9ec48f9c2e65feae17943d"><div class="ttname"><a href="../../d8/d9b/_hunger_sound_handler_8c.html#a37a72bb98e9ec48f9c2e65feae17943d">PlaySound</a></div><div class="ttdeci">void PlaySound()</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d9b/_hunger_sound_handler_8c_source.html#l00038">HungerSoundHandler.c:38</a></div></div>
<div class="ttc" id="a_hunger_sound_handler_8c_html_a48a9d91bcb3287026d9b94d3716bdeb6"><div class="ttname"><a href="../../d8/d9b/_hunger_sound_handler_8c.html#a48a9d91bcb3287026d9b94d3716bdeb6">SOUND_INTERVALS_LIGHT_MIN</a></div><div class="ttdeci">class HungerSoundHandlerBase extends SoundHandlerBase SOUND_INTERVALS_LIGHT_MIN</div></div>
<div class="ttc" id="a_hunger_sound_handler_8c_html_a6101a1594bb9c644630a961ef3c39f00"><div class="ttname"><a href="../../d8/d9b/_hunger_sound_handler_8c.html#a6101a1594bb9c644630a961ef3c39f00">SOUND_INTERVALS_LIGHT_MAX</a></div><div class="ttdeci">const float SOUND_INTERVALS_LIGHT_MAX</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d9b/_hunger_sound_handler_8c_source.html#l00016">HungerSoundHandler.c:16</a></div></div>
<div class="ttc" id="a_hunger_sound_handler_8c_html_a8f1a290bb29bdacb7395ddad3867db0e"><div class="ttname"><a href="../../d8/d9b/_hunger_sound_handler_8c.html#a8f1a290bb29bdacb7395ddad3867db0e">m_Sound</a></div><div class="ttdeci">EffectSound m_Sound</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d9b/_hunger_sound_handler_8c_source.html#l00018">HungerSoundHandler.c:18</a></div></div>
<div class="ttc" id="a_hunger_sound_handler_8c_html_aad304592324988361cc11d6bc0bb13d8"><div class="ttname"><a href="../../d8/d9b/_hunger_sound_handler_8c.html#aad304592324988361cc11d6bc0bb13d8">ProcessSound</a></div><div class="ttdeci">void ProcessSound()</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d9b/_hunger_sound_handler_8c_source.html#l00028">HungerSoundHandler.c:28</a></div></div>
<div class="ttc" id="a_hunger_sound_handler_8c_html_df/d16/class_hunger_sound_handler_base"><div class="ttname"><a href="../../d8/d9b/_hunger_sound_handler_8c.html#df/d16/class_hunger_sound_handler_base">HungerSoundHandlerBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d9b/_hunger_sound_handler_8c_source.html#l00057">HungerSoundHandler.c:58</a></div></div>
<div class="ttc" id="a_notification_system_8c_html_a8a5888c845f10608a75d9bfd5009089e"><div class="ttname"><a href="../../d5/d74/_notification_system_8c.html#a8a5888c845f10608a75d9bfd5009089e">GetTime</a></div><div class="ttdeci">float GetTime()</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d74/_notification_system_8c_source.html#l00035">NotificationSystem.c:35</a></div></div>
<div class="ttc" id="a_player_sound_manager_8c_html_a0fd8354912d290f45ba638113305af58"><div class="ttname"><a href="../../d2/d52/_player_sound_manager_8c.html#a0fd8354912d290f45ba638113305af58">eSoundHandlers</a></div><div class="ttdeci">eSoundHandlers</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d52/_player_sound_manager_8c_source.html#l00004">PlayerSoundManager.c:5</a></div></div>
<div class="ttc" id="aclass_c_game_html_aaef5e82614e886a86023cbdc7e85ca47"><div class="ttname"><a href="../../d2/de6/class_c_game.html#aaef5e82614e886a86023cbdc7e85ca47">CGame::GetTime</a></div><div class="ttdeci">proto int GetTime()</div><div class="ttdoc">returns mission time in milliseconds</div></div>
<div class="ttc" id="aclass_debug_html"><div class="ttname"><a href="../../da/d7d/class_debug.html">Debug</a></div><div class="ttdef"><b>Definition:</b> <a href="../../de/d4c/3___game_2tools_2_debug_8c_source.html#l00013">Debug.c:14</a></div></div>
<div class="ttc" id="aclass_debug_html_a87dcfbb1acc79bc63ccc7af1476c913d"><div class="ttname"><a href="../../da/d7d/class_debug.html#a87dcfbb1acc79bc63ccc7af1476c913d">Debug::LogError</a></div><div class="ttdeci">static void LogError(string message=LOG_DEFAULT, string plugin=LOG_DEFAULT, string author=LOG_DEFAULT, string label=LOG_DEFAULT, string entity=LOG_DEFAULT)</div><div class="ttdoc">Prints debug message as error message.</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d4c/3___game_2tools_2_debug_8c_source.html#l00226">Debug.c:226</a></div></div>
<div class="ttc" id="aclass_effect_sound_html"><div class="ttname"><a href="../../d9/d89/class_effect_sound.html">EffectSound</a></div><div class="ttdoc">Wrapper class for managing sound through SEffectManager.</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d70/_effect_sound_8c_source.html#l00004">EffectSound.c:5</a></div></div>
<div class="ttc" id="aclass_effect_sound_html_a2cc90aea49a8e5dfad08b37632ec21ee"><div class="ttname"><a href="../../d9/d89/class_effect_sound.html#a2cc90aea49a8e5dfad08b37632ec21ee">EffectSound::SetAutodestroy</a></div><div class="ttdeci">override void SetAutodestroy(bool auto_destroy)</div><div class="ttdoc">Sets whether Effect automatically cleans up when it stops.</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d70/_effect_sound_8c_source.html#l00587">EffectSound.c:587</a></div></div>
<div class="ttc" id="aclass_s_effect_manager_html"><div class="ttname"><a href="../../d2/d03/class_s_effect_manager.html">SEffectManager</a></div><div class="ttdoc">Manager class for managing Effect (EffectParticle, EffectSound)</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d4d/_effect_manager_8c_source.html#l00005">EffectManager.c:6</a></div></div>
<div class="ttc" id="aclass_s_effect_manager_html_a62121261c750c6174099a4879ac2f781"><div class="ttname"><a href="../../d2/d03/class_s_effect_manager.html#a62121261c750c6174099a4879ac2f781">SEffectManager::PlaySoundOnObject</a></div><div class="ttdeci">static EffectSound PlaySoundOnObject(string sound_set, Object parent_object, float play_fade_in=0, float stop_fade_out=0, bool loop=false)</div><div class="ttdoc">Create and play an EffectSound.</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d4d/_effect_manager_8c_source.html#l00243">EffectManager.c:243</a></div></div>
<div class="ttc" id="aclass_sound_handler_base_html"><div class="ttname"><a href="../../d4/d25/class_sound_handler_base.html">SoundHandlerBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d9b/_hunger_sound_handler_8c_source.html#l00001">HungerSoundHandler.c:2</a></div></div>
<div class="ttc" id="aclass_sound_handler_base_html_ac9d47dac48e0137c7b9db89d54ce4ade"><div class="ttname"><a href="../../d4/d25/class_sound_handler_base.html#ac9d47dac48e0137c7b9db89d54ce4ade">SoundHandlerBase::Init</a></div><div class="ttdeci">override void Init()</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d9b/_hunger_sound_handler_8c_source.html#l00003">HungerSoundHandler.c:3</a></div></div>
<div class="ttc" id="agameplay_8c_html_aebb1fa6632d513bc849994e7b6c9c93d"><div class="ttname"><a href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a></div><div class="ttdeci">proto native CGame GetGame()</div></div>
<div class="ttc" id="agroup___math_html_d4/d34/class_math"><div class="ttname"><a href="../../d5/d98/group___math.html#d4/d34/class_math">Math</a></div><div class="ttdef"><b>Definition:</b> <a href="../../da/d34/_en_math_8c_source.html#l00006">EnMath.c:7</a></div></div>
<div class="ttc" id="agroup___math_html_ga3a1cf1e09030a73e70d718ee2862cac0"><div class="ttname"><a href="../../d5/d98/group___math.html#ga3a1cf1e09030a73e70d718ee2862cac0">Math::RandomFloatInclusive</a></div><div class="ttdeci">static float RandomFloatInclusive(float min, float max)</div><div class="ttdoc">Returns a random float number between and min [inclusive] and max [inclusive].</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d34/_en_math_8c_source.html#l00086">EnMath.c:86</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_ga70ac517aa5d3b3af95f61a2d560d811f"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#ga70ac517aa5d3b3af95f61a2d560d811f">Update</a></div><div class="ttdeci">override void Update()</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d9b/_hunger_sound_handler_8c_source.html#l00020">HungerSoundHandler.c:20</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_f61fac3e195407e8bd798ede36822932.html">Classes</a></li><li class="navelem"><a class="el" href="../../dir_9547125267451c28757a0273a70ec258.html">SoundHandlers</a></li><li class="navelem"><a class="el" href="../../d8/d9b/_hunger_sound_handler_8c.html">HungerSoundHandler.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
